package com.ruoyi.system.entity;



/**
 * 表字段信息表
 */

public class TableInfo {

    /** 字段名称 */
    private String fieldName;

    /** 字段类型 */
    private String fieldType;

    /** 是否为空 */
    private Boolean isNull;

    /** 是否为主键 */
    private Boolean isPrimary;

    /** 自增 */
    private Boolean isAuto;

    /** 字段描述 */
    private String fieldDescription;

    /** 字段长度 */
    private Long fieldLength;

    public TableInfo() {
    }

    @Override
    public String toString() {
        return "TableInfo{" +
                "fieldName='" + fieldName + '\'' +
                ", fieldType='" + fieldType + '\'' +
                ", isNull=" + isNull +
                ", isPrimary=" + isPrimary +
                ", isAuto=" + isAuto +
                ", fieldDescription='" + fieldDescription + '\'' +
                ", fieldLength=" + fieldLength +
                '}';
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getFieldType() {
        return fieldType;
    }

    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }

    public Boolean getNull() {
        return isNull;
    }

    public void setNull(Boolean aNull) {
        isNull = aNull;
    }

    public Boolean getPrimary() {
        return isPrimary;
    }

    public void setPrimary(Boolean primary) {
        isPrimary = primary;
    }

    public Boolean getAuto() {
        return isAuto;
    }

    public void setAuto(Boolean auto) {
        isAuto = auto;
    }

    public String getFieldDescription() {
        return fieldDescription;
    }

    public void setFieldDescription(String fieldDescription) {
        this.fieldDescription = fieldDescription;
    }

    public Long getFieldLength() {
        return fieldLength;
    }

    public void setFieldLength(Long fieldLength) {
        this.fieldLength = fieldLength;
    }

    public TableInfo(String fieldName, String fieldType, Boolean isNull, Boolean isPrimary, Boolean isAuto, String fieldDescription, Long fieldLength) {
        this.fieldName = fieldName;
        this.fieldType = fieldType;
        this.isNull = isNull;
        this.isPrimary = isPrimary;
        this.isAuto = isAuto;
        this.fieldDescription = fieldDescription;
        this.fieldLength = fieldLength;
    }
}
